Incredible savings delivered to your inbox!

Get the scoop on all our sales and special offers! We promise to never share your information. Privacy Policy

Locations
Alerts
My Notifications
You have no new notifications.
Order by phone 1-800-210-2370

Security and Older Browsers

If you arrived at this page, you were likely informed that support for your web browser is ending soon. Here are the particulars:

Web browsers using an older security version, namely TLS version 1.0 and TLS version 1.1, will need to upgrade to a modern browser to continue using the Blain's Farm & Fleet web site as of February 15, 2018, per requirements issued by the credit card industry.

We recommend you upgrade your browser to one of the following options:

Google Chrome Google Chrome

Mozilla Firefox Mozilla Firefox

Microsoft Edge Microsoft Edge

Safari Apple Safari

Android Phone Users:
Users of Android Browser 4.0 will need upgrade to at least Android 5 or later. Unfortunately, Android 4 cannot be supported per the new industry security requirements.

Internet Explorer 10/11 Users:
Open up "Internet Options" from the settings menu, and click on the "Advanced" tab. Scroll towards the bottom of the list of checkboxes and ensure that "Use TLS 1.2" is checked (see screenshot below).

Internet Explorer Settings Screenshot

×

Please Wait

×

Please Wait

×

Adding to Cart

×